Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cpw.mods.fml.common.network
Class FMLPacket

    java.lang.Object
      cpw.mods.fml.common.network.FMLPacket

Direct Known Subclasses:
  EntitySpawnAdjustmentPacket, EntitySpawnPacket, ModIdentifiersPacket, ModIdMapPacket, ModListRequestPacket, ModListResponsePacket, ModMissingPacket, OpenGuiPacket

    public abstract class FMLPacket

extends Object

Constructor Summary
`FMLPacket(cpw.mods.fml.common.network.FMLPacket.Type type)`

Method Summary
`abstract FMLPacket` | `consumePacket(byte[] data)`
`abstract void` | `execute(INetworkManager network, FMLNetworkHandler handler, NetHandler netHandler, String userName)`
`abstract byte[]` | `generatePacket(Object... data)`
`static byte[]` | `makePacket(cpw.mods.fml.common.network.FMLPacket.Type type, Object... data)`
`static byte[][]` | `makePacketSet(cpw.mods.fml.common.network.FMLPacket.Type type, Object... data)`
`static FMLPacket` | `readPacket(INetworkManager network, byte[] payload)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FMLPacket

    public FMLPacket(cpw.mods.fml.common.network.FMLPacket.Type type)

Method Detail

### makePacketSet

    public static byte[][] makePacketSet(cpw.mods.fml.common.network.FMLPacket.Type type,
                                         Object... data)

### makePacket

    public static byte[] makePacket(cpw.mods.fml.common.network.FMLPacket.Type type,
                                    Object... data)

### readPacket

    public static FMLPacket readPacket(INetworkManager network,
                                       byte[] payload)

### generatePacket

    public abstract byte[] generatePacket(Object... data)

### consumePacket

    public abstract FMLPacket consumePacket(byte[] data)

### execute

    public abstract void execute(INetworkManager network,
                                 FMLNetworkHandler handler,
                                 NetHandler netHandler,
                                 String userName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD